package com.keao.edu.auth.dal.dao;

import java.util.List;

import com.keao.edu.auth.api.entity.SysUserRole;
import com.keao.edu.common.dal.BaseDAO;

public interface SysUserRoleDao extends BaseDAO<Integer, SysUserRole> {

	/**
	 * 查询指定用户具有的角色编号
	 * @param userId 用户编号
	 * @return
	 */
	List<Integer> queryRoleIdListByUserId(Integer userId);
	
	/**
	 * 查询指定用户的角色编码
	 * @param userId
	 * @return
	 */
	List<String> queryRoleCodeListByUserId(Integer userId);


	/**
	 * 删除用户角色
	 * @param sysUserRole
	 * @return
	 */
	int delete(SysUserRole sysUserRole);
}